Last Comment Bug 776726 - osx panel shows up black for a moment
: osx panel shows up black for a moment
Status: RESOLVED FIXED
[Fx16]
:
Product: Firefox
Classification: Client Software
Component: SocialAPI (show other bugs)
: unspecified
: All Mac OS X
: -- normal (vote)
: Firefox 17
Assigned To: Shane Caraveo (:mixedpuppy) [on leave 5/16-7/16]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 15:19 PDT by Shane Caraveo (:mixedpuppy) [on leave 5/16-7/16]
Modified: 2012-07-28 18:37 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
style patch (685 bytes, patch)
2012-07-23 15:21 PDT, Shane Caraveo (:mixedpuppy) [on leave 5/16-7/16]
jaws: review+
Details | Diff | Review

Description Shane Caraveo (:mixedpuppy) [on leave 5/16-7/16] 2012-07-23 15:19:07 PDT
social panels are styled white, but the default styling takes over for just a moment while opening the status panels.
Comment 1 Shane Caraveo (:mixedpuppy) [on leave 5/16-7/16] 2012-07-23 15:21:14 PDT
Created attachment 645097 [details] [diff] [review]
style patch
Comment 2 (Away 6/25-7/4) Jared Wein [:jaws] (reviews and needinfo disabled until back) 2012-07-23 16:15:57 PDT
I don't think this is the right way to go about fixing it. Is there a way to prevent the flash of blank background?
Comment 3 (Away 6/25-7/4) Jared Wein [:jaws] (reviews and needinfo disabled until back) 2012-07-24 16:38:51 PDT
Comment on attachment 645097 [details] [diff] [review]
style patch

Review of attachment 645097 [details] [diff] [review]:
-----------------------------------------------------------------

What would -moz-appearance:none; do here?
Comment 4 (Away 6/25-7/4) Jared Wein [:jaws] (reviews and needinfo disabled until back) 2012-07-24 17:15:00 PDT
Comment on attachment 645097 [details] [diff] [review]
style patch

Review of attachment 645097 [details] [diff] [review]:
-----------------------------------------------------------------

::: browser/themes/pinstripe/browser.css
@@ +3455,5 @@
>    max-height: 600px;
>    max-width: 400px;
>  }
>  
>  #social-notification-panel .panel-arrowcontent {

Can you change this and the other selectors for #social-notification-panel to use child selectors as part of this patch?

@@ +3459,5 @@
>  #social-notification-panel .panel-arrowcontent {
>    margin: -4px 0 0 0;
>    padding: 0;
>    border-radius: 0px;
> +  background: white;

I talked this over with Gavin and Shane, and this will be fine for Fx16.
Comment 5 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-07-26 13:47:26 PDT
Changed from "background" to "background-color" on checkin:
https://hg.mozilla.org/mozilla-central/rev/f263db41eaa9
Comment 6 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-07-27 11:55:01 PDT
(In reply to :Gavin Sharp (use gavin@gavinsharp.com for email) from comment #5)
> Changed from "background" to "background-color" on checkin:

Which broke things!
Fixed: https://hg.mozilla.org/integration/mozilla-inbound/rev/0d0e381119c9
Comment 7 Ryan VanderMeulen [:RyanVM] 2012-07-28 18:37:21 PDT
https://hg.mozilla.org/mozilla-central/rev/0d0e381119c9

Note You need to log in before you can comment on or make changes to this bug.